import mongoose from "mongoose";
const Schema = mongoose.Schema;

const ACCOUNT_SCHEMA = new Schema({
    username : {type : String, required : true},
    salt : [Number],
    hash : [Number],
    authorizationSet: [{kind: Number, key: String}],
},
{
    timestamps: true,
});

export default mongoose.model("Account", ACCOUNT_SCHEMA);
